diff -pruN 2.0.0-2/debian/changelog 2.1.0-2/debian/changelog
--- 2.0.0-2/debian/changelog	2020-06-26 09:04:54.000000000 +0000
+++ 2.1.0-2/debian/changelog	2020-10-17 14:27:01.000000000 +0000
@@ -1,3 +1,17 @@
+cloudkitty-tempest-plugin (2.1.0-2) unstable; urgency=medium
+
+  * Uploading to unstable.
+  * Fixed debian/watch.
+  * Add a debian/salsa-ci.yml.
+
+ -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 16:27:01 +0200
+
+cloudkitty-tempest-plugin (2.1.0-1) experimental; urgency=medium
+
+  * New upstream release.
+
+ -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2020 09:48:39 +0200
+
 cloudkitty-tempest-plugin (2.0.0-2) unstable; urgency=medium
 
   * Uploading source-only.
diff -pruN 2.0.0-2/debian/salsa-ci.yml 2.1.0-2/debian/salsa-ci.yml
--- 2.0.0-2/debian/salsa-ci.yml	1970-01-01 00:00:00.000000000 +0000
+++ 2.1.0-2/debian/salsa-ci.yml	2020-10-17 14:27:01.000000000 +0000
@@ -0,0 +1,3 @@
+include:
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/salsa-ci.yml
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/pipeline-jobs.yml
diff -pruN 2.0.0-2/debian/watch 2.1.0-2/debian/watch
--- 2.0.0-2/debian/watch	2020-06-26 09:04:54.000000000 +0000
+++ 2.1.0-2/debian/watch	2020-10-17 14:27:01.000000000 +0000
@@ -1,3 +1,3 @@
 version=3
-opts="uversionmangle=s/\.(b|rc)/~$1/" \
-https://github.com/openstack/cloudkitty-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz
+opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
+https://github.com/openstack/cloudkitty-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz
diff -pruN 2.0.0-2/setup.cfg 2.1.0-2/setup.cfg
--- 2.0.0-2/setup.cfg	2020-01-23 22:44:35.000000000 +0000
+++ 2.1.0-2/setup.cfg	2020-08-18 20:29:59.000000000 +0000
@@ -16,6 +16,7 @@ classifier =
     Programming Language :: Python :: 3
     Programming Language :: Python :: 3.6
     Programming Language :: Python :: 3.7
+    Programming Language :: Python :: 3.8
 
 [files]
 packages =
diff -pruN 2.0.0-2/.testr.conf 2.1.0-2/.testr.conf
--- 2.0.0-2/.testr.conf	2020-01-23 22:44:35.000000000 +0000
+++ 2.1.0-2/.testr.conf	1970-01-01 00:00:00.000000000 +0000
@@ -1,5 +0,0 @@
-[DEFAULT]
-test_command=${PYTHON:-python} -m subunit.run discover -t ./ ./cloudkitty_tempest_plugin/tests $LISTOPT $IDOPTION
-test_id_option=--load-list $IDFILE
-test_list_option=--list
-group_regex=gabbi\.(suitemaker|driver)\.(test_[^_]+_[^_]+)
diff -pruN 2.0.0-2/test-requirements.txt 2.1.0-2/test-requirements.txt
--- 2.0.0-2/test-requirements.txt	2020-01-23 22:44:35.000000000 +0000
+++ 2.1.0-2/test-requirements.txt	2020-08-18 20:29:59.000000000 +0000
@@ -3,6 +3,10 @@
 # process, which may cause wedges in the gate later.
 
 hacking>=1.1.0,<1.2.0 # Apache-2.0
+# remove this pyflakes from here once you bump the
+# hacking to 3.2.0 or above. hacking 3.2.0 takes
+# care of pyflakes version compatibilty.
+pyflakes>=2.1.1
 
 coverage>=4.0,!=4.4 # Apache-2.0
 python-subunit>=0.0.18 # Apache-2.0/BSD
diff -pruN 2.0.0-2/.zuul.yaml 2.1.0-2/.zuul.yaml
--- 2.0.0-2/.zuul.yaml	2020-01-23 22:44:35.000000000 +0000
+++ 2.1.0-2/.zuul.yaml	2020-08-18 20:29:59.000000000 +0000
@@ -10,6 +10,30 @@
             voting: true
         - cloudkitty-tempest-full-v2-storage-elasticsearch:
             voting: true
+        - cloudkitty-tempest-full-v2-storage-influxdb-ussuri
+        - cloudkitty-tempest-full-v2-storage-influxdb-train
+        - cloudkitty-tempest-full-v2-storage-influxdb-stein
     gate:
       queue: cloudkitty
       jobs: *cloudkitty_tempest_jobs
+
+- job:
+    name: cloudkitty-tempest-full-v2-storage-influxdb-ussuri
+    parent: cloudkitty-tempest-full-v2-storage-influxdb
+    override-checkout: stable/ussuri
+
+- job:
+    name: cloudkitty-tempest-full-v2-storage-influxdb-train
+    parent: cloudkitty-tempest-full-v2-storage-influxdb
+    override-checkout: stable/train
+    vars:
+      devstack_localrc:
+        USE_PYTHON3: True
+
+- job:
+    name: cloudkitty-tempest-full-v2-storage-influxdb-stein
+    parent: cloudkitty-tempest-full-v2-storage-influxdb
+    override-checkout: stable/stein
+    vars:
+      devstack_localrc:
+        USE_PYTHON3: True
